# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: reset_connect_block
    category: XC\UPS
    type: XC\UPS\View\FormField\ResetConnectBlock
    value: ''
    orderby: 5
    widgetParameters:
      fieldOnly: true
    module: XC\UPS
  - name: refresh_token
    category: XC\UPS
    type: hidden
    module: XC\UPS
  - name: expires_in
    category: XC\UPS
    type: hidden
    module: XC\UPS
  - name: access_token
    category: XC\UPS
    type: hidden
    module: XC\UPS
  - name: test_mode
    category: XC\UPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 50
    translations:
      - {code: en, option_name: 'Test mode'}
    module: XC\UPS
  - name: additionalSettingsSeparator
    category: XC\UPS
    type: separator
    orderby: 100
    translations:
      - {code: en, option_name: 'Additional settings'}
    module: XC\UPS
  - name: packageSettingsSeparator
    category: XC\UPS
    type: separator
    orderby: 200
    translations:
      - {code: en, option_name: 'Package settings'}
    module: XC\UPS
  - name: packaging_type
    category: XC\UPS
    type: XC\UPS\View\FormField\Select\PackagingType
    value: '00'
    orderby: 210
    translations:
      - {code: en, option_name: 'Package box type'}
    module: XC\UPS
  - name: dimensions
    category: XC\UPS
    type: serialized
    value: 'a:3:{i:0;i:10;i:1;i:10;i:2;i:10;}'
    orderby: 220
    translations:
      - {code: en, option_name: 'Package dimensions'}
    module: XC\UPS
  - name: max_weight
    category: XC\UPS
    type: XLite\View\FormField\Input\Text\FloatInput
    value: 150
    orderby: 230
    translations:
      - {code: en, option_name: 'Maximum package weight'}
    module: XC\UPS
  - name: serviceOptionsSeparator
    category: XC\UPS
    type: separator
    orderby: 300
    translations:
      - {code: en, option_name: 'Service options'}
    module: XC\UPS
  - name: shipper_number
    category: XC\UPS
    type: XLite\View\FormField\Input\Text
    orderby: 305
    translations:
      - {code: en, option_name: 'UPS Account number', option_comment: 'A shipper''s UPS account number is required when requesting to receive the negotiated rates.'}
    module: XC\UPS
  - name: pickup_type
    category: XC\UPS
    type: XC\UPS\View\FormField\Select\PickupType
    value: '01'
    orderby: 310
    translations:
      - {code: en, option_name: 'Pickup type'}
    module: XC\UPS
  - name: saturday_pickup
    category: XC\UPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 320
    translations:
      - {code: en, option_name: 'Saturday pickup'}
    module: XC\UPS
  - name: additional_handling
    category: XC\UPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 330
    translations:
      - {code: en, option_name: 'Additional handling'}
    module: XC\UPS
  - name: saturday_delivery
    category: XC\UPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 340
    translations:
      - {code: en, option_name: 'Saturday delivery'}
    module: XC\UPS
  - name: negotiated_rates
    category: XC\UPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 350
    translations:
      - {code: en, option_name: 'Use negotiated rates'}
    module: XC\UPS
  - name: delivery_conf
    category: XC\UPS
    type: XC\UPS\View\FormField\Select\DeliveryConfirmation
    value: '0'
    orderby: 360
    translations:
      - {code: en, option_name: 'Delivery confirmation'}
    module: XC\UPS
  - name: extra_cover
    category: XC\UPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 370
    translations:
      - {code: en, option_name: 'Add insured value'}
    module: XC\UPS
  - name: extra_cover_value
    category: XC\UPS
    type: serialized
    value: 'a:2:{i:0;i:0;i:1;i:25000;}'
    orderby: 380
    translations:
      - {code: en, option_name: 'Insured value from'}
    module: XC\UPS
  - name: shippingRefundsSeparator
    category: XC\UPS
    type: separator
    orderby: 390
    translations:
      - {code: en, option_name: 'Shipping refunds settings'}
    module: XC\UPS
  - name: lbs71Info
    category: XC\UPS
    type: XLite\View\FormField\Label
    value: 'As a UPS user, you are entitled to receive shipping refunds usually left unclaimed with default UPS service ($2B/year globally)'
    orderby: 395
    widgetParameters:
      fieldOnly: true
    module: XC\UPS
  - name: cacheOnDeliverySeparator
    category: XC\UPS
    type: separator
    orderby: 400
    translations:
      - {code: en, option_name: 'Cash on delivery'}
    module: XC\UPS
  - name: currencyConversionSeparator
    category: XC\UPS
    type: separator
    orderby: 500
    translations:
      - {code: en, option_name: 'Currency conversion options'}
    module: XC\UPS
  - name: currency_code
    category: XC\UPS
    type: XLite\View\FormField\Input\Text
    orderby: 510
    translations:
      - {code: en, option_name: 'Shipping cost currency'}
    module: XC\UPS
  - name: currency_rate
    category: XC\UPS
    type: XLite\View\FormField\Input\Text\FloatInput
    value: 1
    orderby: 520
    translations:
      - {code: en, option_name: 'Currency rate', option_comment: 'If the UPS returns rates in currency which is differ from the currency the store uses for payments you need to specify the conversion rate to convert the shipping cost returned by UPS into the necessary currency. Otherwise leave 1.'}
    module: XC\UPS
  - name: additionalOptionsSeparator
    category: XC\UPS
    type: separator
    orderby: 600
    translations:
      - {code: en, option_name: 'Additional options'}
    module: XC\UPS
  - name: debug_enabled
    category: XC\UPS
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 610
    translations:
      - {code: en, option_name: 'Enable debugging', option_comment: 'This option enables logging of all communication between shopping cart and UPS server.'}
    module: XC\UPS
XLite\Model\Shipping\Method:
  - processor: ups
    carrier: ''
    code: ''
    enabled: false
    added: false
    position: 0
    moduleName: XC_UPS
    translations:
      - {code: en, name: UPS}
  - processor: ups
    carrier: ups
    code: NDA
    enabled: 1
    position: 10
    translations:
      - {code: en, name: 'UPS Next Day Air&reg;'}
  - processor: ups
    carrier: ups
    code: 2DA
    enabled: 1
    position: 20
    translations:
      - {code: en, name: 'UPS 2nd Day Air&reg;'}
  - processor: ups
    carrier: ups
    code: GND
    enabled: 1
    position: 30
    translations:
      - {code: en, name: 'UPS Ground'}
  - processor: ups
    carrier: ups
    code: WEXP
    enabled: 1
    position: 40
    translations:
      - {code: en, name: 'UPS Worldwide Express'}
  - processor: ups
    carrier: ups
    code: WEXD
    enabled: 1
    position: 50
    translations:
      - {code: en, name: 'UPS Worldwide Expedited'}
  - processor: ups
    carrier: ups
    code: STD
    enabled: 1
    position: 60
    translations:
      - {code: en, name: 'UPS Standard'}
  - processor: ups
    carrier: ups
    code: 3DS
    enabled: 1
    position: 70
    translations:
      - {code: en, name: 'UPS 3 Day Select&reg;'}
  - processor: ups
    carrier: ups
    code: NDAS
    enabled: 1
    position: 80
    translations:
      - {code: en, name: 'UPS Next Day Air Saver&reg;'}
  - processor: ups
    carrier: ups
    code: NDAE
    enabled: 1
    position: 90
    translations:
      - {code: en, name: 'UPS Next Day Air&reg; Early A.M.'}
  - processor: ups
    carrier: ups
    code: WEXPP
    enabled: 1
    position: 100
    translations:
      - {code: en, name: 'UPS Worldwide Express Plus'}
  - processor: ups
    carrier: ups
    code: 2DAAM
    enabled: 1
    position: 110
    translations:
      - {code: en, name: 'UPS 2nd Day Air A.M.&reg;'}
  - processor: ups
    carrier: ups
    code: SAV
    enabled: 1
    position: 120
    translations:
      - {code: en, name: 'UPS Saver'}
  - processor: ups
    carrier: ups
    code: TSTD
    enabled: 1
    position: 130
    translations:
      - {code: en, name: 'UPS Today StandardSM'}
  - processor: ups
    carrier: ups
    code: TDC
    enabled: 1
    position: 140
    translations:
      - {code: en, name: 'UPS Today Dedicated CourrierSM'}
  - processor: ups
    carrier: ups
    code: TI
    enabled: 1
    position: 150
    translations:
      - {code: en, name: 'UPS Today Intercity'}
  - processor: ups
    carrier: ups
    code: TEXP
    enabled: 1
    position: 160
    translations:
      - {code: en, name: 'UPS Today Express'}
  - processor: ups
    carrier: ups
    code: TEXPS
    enabled: 1
    position: 170
    translations:
      - {code: en, name: 'UPS Today Express Saver'}
  - processor: ups
    carrier: ups
    code: WEXPF
    enabled: 1
    position: 180
    translations:
      - {code: en, name: 'UPS WorldWide Express Freight'}
  - processor: ups
    carrier: ups
    code: EXP
    enabled: 1
    position: 190
    translations:
      - {code: en, name: 'UPS Express'}
  - processor: ups
    carrier: ups
    code: EXPP
    enabled: 1
    position: 200
    translations:
      - {code: en, name: 'UPS Express Plus'}
  - processor: ups
    carrier: ups
    code: EXDSM
    enabled: 1
    position: 210
    translations:
      - {code: en, name: 'UPS ExpeditedSM'}
  - processor: ups
    carrier: ups
    code: WEXDSM
    enabled: 1
    position: 220
    translations:
      - {code: en, name: 'UPS Worldwide ExpeditedSM'}
  - processor: ups
    carrier: ups
    code: WEXPSM
    enabled: 1
    position: 230
    translations:
      - {code: en, name: 'UPS Worldwide ExpressSM'}
  - processor: ups
    carrier: ups
    code: SAVSM
    enabled: 1
    position: 240
    translations:
      - {code: en, name: 'UPS SaverSM'}
  - processor: ups
    carrier: ups
    code: EXPEAMSM
    enabled: 1
    position: 250
    translations:
      - {code: en, name: 'UPS Express Early A.M. SM'}
  - processor: ups
    carrier: ups
    code: NDAEAMSM
    enabled: 1
    position: 260
    translations:
      - {code: en, name: 'UPS Next Day Air&reg; Early A.M. SM'}
  - processor: ups
    carrier: ups
    code: WEXPPSM
    enabled: 1
    position: 270
    translations:
      - {code: en, name: 'UPS Worldwide Express PlusSM'}
  - processor: ups
    carrier: ups
    code: EXPSAV
    enabled: 1
    position: 280
    translations:
      - {code: en, name: 'UPS Express Saver'}
  - processor: ups
    carrier: ups
    code: WSAV
    enabled: 1
    position: 290
    translations:
      - {code: en, name: 'UPS Worldwide Saver'}
XLite\Model\Payment\Method:
  - service_name: COD_UPS
    class: XC\UPS\Model\Payment\Processor\COD
    countries:
      - US
      - PR
    added: 1
    translations:
      - {code: en, name: 'Cash on Delivery (UPS)'}
      - {code: es, name: 'Pago contra reembolso (UPS)'}
XLite\Model\LanguageLabel:
  - name: ups.CODStatusOptionComment
    translations:
      - {code: en, label: 'UPS module supports ''Cash on delivery'' feature for shipments within European Union, within United States and Puerto Rico, within Canada and from Canada to the United States.<br/>To enable ''Cash on delivery'' payment option you should enable payment method ''Cash on delivery (UPS)'' at the <a href="{{URL}}">Payment methods page</a>.'}
  - name: 'Air service center'
    translations:
      - {code: en, label: 'Air service center'}
  - name: 'Customer counter'
    translations:
      - {code: en, label: 'Customer counter'}
  - name: 'Daily Pickup'
    translations:
      - {code: en, label: 'Daily Pickup'}
  - name: 'Delivery confirmation - adult signature required'
    translations:
      - {code: en, label: 'Delivery confirmation - adult signature required'}
  - name: 'Delivery confirmation - signature required'
    translations:
      - {code: en, label: 'Delivery confirmation - signature required'}
  - name: 'Letter center'
    translations:
      - {code: en, label: 'Letter center'}
  - name: 'No confirmation'
    translations:
      - {code: en, label: 'No confirmation'}
  - name: 'On call air'
    translations:
      - {code: en, label: 'On call air'}
  - name: 'One time pickup'
    translations:
      - {code: en, label: 'One time pickup'}
  - name: 'Suggested retail rates'
    translations:
      - {code: en, label: 'Suggested retail rates'}
  - name: 'As a UPS user, you are entitled to receive shipping refunds usually left unclaimed with default UPS service ($2B/year globally)'
    translations:
      - {code: en, label: 'As a UPS user, you are entitled to receive shipping refunds usually left unclaimed with default UPS service ($2B/year globally). <a href="https://71lbs.com/xcart" target="_blank">Get My UPS Refunds</a>'}
  - name: 'UPS Letter / UPS Express Envelope'
    translations:
      - {code: en, label: 'UPS Letter / UPS Express Envelope'}
  - name: 'Package'
    translations:
      - {code: en, label: 'Package'}
  - name: 'UPS Tube'
    translations:
      - {code: en, label: 'UPS Tube'}
  - name: 'UPS Pak'
    translations:
      - {code: en, label: 'UPS Pak'}
  - name: 'UPS Express Box'
    translations:
      - {code: en, label: 'UPS Express Box'}
  - name: 'UPS 25 Kg Box&#174;'
    translations:
      - {code: en, label: 'UPS 25 Kg Box&#174;'}
  - name: 'UPS 10 Kg Box&#174;'
    translations:
      - {code: en, label: 'UPS 10 Kg Box&#174;'}
  - name: 'Pallet (for GB or PL domestic shipments only)'
    translations:
      - {code: en, label: 'Pallet (for GB or PL domestic shipments only)'}
  - name: 'Small Express Box'
    translations:
      - {code: en, label: 'Small Express Box'}
  - name: 'Medium Express Box'
    translations:
      - {code: en, label: 'Medium Express Box'}
  - name: 'Large Express Box'
    translations:
      - {code: en, label: 'Large Express Box'}
  - name: 'Connection was successful'
    translations:
      - {code: en, label: 'The connection was successful'}
  - name: 'Connection failed'
    translations:
      - {code: en, label: 'Connection failed'}
  - name: 'Connection was reset'
    translations:
      - {code: en, label: 'Connection was reset'}
  - name: 'Reason connection failed'
    translations:
      - {code: en, label: 'Connection failed. Reason: {{reason}}'}
  - name: 'UPS module is connected'
    translations:
      - {code: en, label: 'UPS module is connected.'}
  - name: 'Connect your X-Cart store to UPS Rating API to use UPS carrier services.'
    translations:
      - {code: en, label: 'Connect your X-Cart store to UPS Rating API to use UPS carrier services.'}
  - name: 'Reconnect'
    translations:
      - {code: en, label: 'Reconnect'}
  - name: 'Reset connection'
    translations:
      - {code: en, label: 'Reset connection'}
